<?php
ini_set('upload_max_filesize','100M');
require_once($_SERVER['DOCUMENT_ROOT'] . "/swfupload/code/SWFUploadFileIFrameField_Uploader.php");
require_once($_SERVER['DOCUMENT_ROOT'] . "/swfupload/code/SWFUploadFileIFrameField.php");

	SWFUploadConfig::Configure( array(
		
		'file_destination_path' => '/assets/', // Include leading and trailing slash
		// Backend settings
		'upload_url' => '/swfupload/code/SWFUploadHandler.php',	// Relative to the SWF file, you can use an absolute URL as well.
		'file_post_name' => 'swfupload_file',
		'post_params' => '',
		
		// Flash file settings
		'file_size_limit' => (str_replace("M",'',ini_get('upload_max_filesize')) * 1024),	
		'file_types' => '*.*',
		'file_types_description' => '',
		'browse_button_text' => 'Browse...',
		'file_upload_limit' => '2', // Number of upload attempts. Leave unlimited in case upload fails.
		'file_queue_limit' => '2', // This isn't needed because the upload_limit will automatically place a queue limit
	
    'required' => 'false',
    
		// Event handler settings
		'swfupload_loaded_handler' => 'swfUploadLoaded',
					
		'file_dialog_start_handler' => 'fileDialogStart',
		'file_queued_handler' => 'fileQueued',
		'file_queue_error_handler' => 'fileQueueError',
		'file_dialog_complete_handler' => 'fileDialogComplete',
					
		'upload_start_handler' => 'uploadStart',
		'upload_progress_handler' => 'uploadProgress',
		'upload_error_handler' => 'uploadError',
		'upload_success_handler' => 'uploadSuccess',
		'upload_complete_handler' => 'uploadComplete',
		
	
		// Flash Settings
		'flash_url' => '/swfupload/javascript/swfupload.swf',
	
		// UI settings
		'swfupload_element_id' => 'flashUI',		// setting for the graceful degradation plugin
		'degraded_element_id' => 'degradedUI',
				
		'progress_target' => 'fsUploadProgress',
		'upload_successful' => 'false',
		
		// Button settings
		'button_image_url' => '/swfupload/images/XPButtonNoText_160x22.png',	// Relative to the SWF file
		'button_placeholder_id' => 'spanButtonPlaceholder',
		'button_width' => '160',
		'button_height' => '22',
		'button_text_style' => '.button { font-family: Helvetica, Arial, sans-serif; font-size: 12px; }',
		'button_text_top_padding' => '4',
		'button_text_left_padding' => '5',				
		
						
		// Debug settings
		'debug' => 'false'
		
	));
	
Director::addRules(10, array(
	'swfuploadfile/$Action/$Class/$ID/$Field' => 'SWFUploadFileIFrameField_Uploader'
));
	
?>